## xfce4-time-out-plugin 1.1.0

=== debian/changelog ===
xfce4-time-out-plugin (1.1.0-0ubuntu1) devel; urgency=medium

  * d/watch: Update to use uscan special strings, fix for move to mirrorbit.
  * New upstream version 1.1.0
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Update build-depends for GTK-3 port.
    - Drop libxml-parser-perl from build-depends.
    - Update homepage.
    - R³: no.
  * d/rules:
    - Enable all hardening options.
    - Update override to delete '.la' files to be uniform with other plugins.
    - Drop dh_makeshlibs override, no longer needed.
    - Append -lX11 to LDFLAGS, missing upstream.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 31 Jan 2020 00:03:42 -0500

=== debian/control ===
Source: xfce4-time-out-plugin
Section: x11
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               intltool,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               xfce4-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://docs.xfce.org/panel-plugins/xfce4-time-out-plugin

Package: xfce4-time-out-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time out plugin for the Xfce4 panel
 This plugin makes it possible to take periodical breaks from the computer
 every X minutes. During breaks it locks your screen.
 It optionally allows you to postpone breaks for a certain time.

## xfce4-time-out-plugin 1.1.1

=== debian/changelog ===
xfce4-time-out-plugin (1.1.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 12 Mar 2022 07:55:09 -0500

xfce4-time-out-plugin (1.1.1-0ubuntu1) devel; urgency=medium

  * New upstream release.
  * d/control: Bump DH compat to 13.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 06 Jul 2020 20:42:44 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1 -lX11
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-time-out-plugin -name '*.la' -delete

%:
	dh $@

## xfce4-time-out-plugin 1.1.2

=== debian/changelog ===
xfce4-time-out-plugin (1.1.2-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:30 +1100

xfce4-time-out-plugin (1.1.2-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:14:40 +0000

xfce4-time-out-plugin (1.1.2-0ubuntu1) devel; urgency=medium

  * New upstream release.
  * d/rules: Drop '--as-needed' from LDFLAGS, this is default.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 19 Jul 2022 17:50:48 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libxfce4ui-2-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-time-out-plugin
 
 Package: xfce4-time-out-plugin

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -lX11
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-time-out-plugin -name '*.la' -delete

%:
	dh $@

## xfce4-time-out-plugin 1.1.4+ds2

=== debian/changelog ===
xfce4-time-out-plugin (1.1.4+ds2-1) unstable; urgency=medium

  * Initial release. (Closes: #866243)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Thu, 20 Mar 2025 11:40:23 +0000

=== debian/control ===
Source: xfce4-time-out-plugin
Section: xfce
Priority: optional
Maintainer: Kirill Rekhov <krekhov.dev@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               intltool,
               xfce4-dev-tools,
               libxfce4ui-2-dev,
               libxfce4panel-2.0-dev
Standards-Version: 4.7.0
Homepage: https://docs.xfce.org/panel-plugins/xfce4-time-out-plugin/start
Vcs-Browser: https://salsa.debian.org/krekhov/xfce4-time-out-plugin
Vcs-Git: https://salsa.debian.org/krekhov/xfce4-time-out-plugin.git

Package: xfce4-time-out-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Time out plugin for the Xfce4 panel
 This plugin makes it possible to take periodical breaks from the computer
 every X minutes. During breaks it locks your screen. It optionally allows you
 to postpone breaks for a certain time.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
 https://archive.xfce.org/src/panel-plugins/@PACKAGE@/(\d[\d\.]+)/ \
         @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xfce4-time-out-plugin 1.2.0+ds

=== meson_options.txt ===
option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

=== debian/changelog ===
xfce4-time-out-plugin (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Update patch for new upstream version (actualization)
  * d/copyright: update copyright according to lrc (actualization)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Mon, 18 Aug 2025 21:26:20 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                xfce4-dev-tools,
                libxfce4ui-2-dev,
                libxfce4panel-2.0-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-time-out-plugin/start
 Vcs-Browser: https://salsa.debian.org/krekhov/xfce4-time-out-plugin
 Vcs-Git: https://salsa.debian.org/krekhov/xfce4-time-out-plugin.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	find debian/xfce4-time-out-plugin/ -name '*.la' -delete

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
 https://archive.xfce.org/src/panel-plugins/@PACKAGE@/(\d[\d\.]+)/ \
         @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
